## kstars 3.4.3

=== CMakeLists.txt ===
PROJECT(kstars CXX C)
set (KStars_VERSION_MAJOR 3)
set (KStars_VERSION_MINOR 4)
set (KStars_VERSION_REVISION 3)
set (CMAKE_CXX_STANDARD 11)

# Build KStars Lite with -DBUILD_KSTARS_LITE=ON
option(BUILD_KSTARS_LITE "Build KStars Lite" OFF)

# Build KStars documentation
option(BUILD_DOC "Build Documentation" ON)

# Fetch translations with -DFETCH_TRANSLATIONS=ON
option(FETCH_TRANSLATIONS "Fetch Translations" OFF)

# minimal requirements
cmake_minimum_required (VERSION 3.4.0 FATAL_ERROR)

# KStars Timestap build
string(TIMESTAMP KSTARS_BUILD_TS UTC)

# For KStars Lite, we ALWAYS need to fetch translations
if(BUILD_KSTARS_LITE)
    SET(FETCH_TRANSLATIONS ON)
endif()

# Set options for fetching translations
if (FETCH_TRANSLATIONS)
SET(KDE_L10N_AUTO_TRANSLATIONS ON)
SET(KDE_L10N_BRANCH "trunk")
endif()

if(BUILD_KSTARS_LITE)
    set (QT_MIN_VERSION "5.7.0") #QtQuickControls 2 is available only in the Qt 5.7.0
else()
    set (QT_MIN_VERSION "5.4.0")
endif()

# Find includes in corresponding build directories
set(CMAKE_INCLUDE_CURRENT_DIR ON)
# Instruct CMake to run moc automatically when needed.
set(CMAKE_AUTOMOC ON)

# Ccache support
IF (ANDROID OR UNIX OR APPLE)
    FIND_PROGRAM(CCACHE_FOUND ccache)
    SET(CCACHE_SUPPORT OFF CACHE BOOL "Enable ccache support")
    IF ((CCACHE_FOUND OR ANDROID) AND CCACHE_SUPPORT MATCHES ON)
        SET_PROPERTY(GLOBAL PROPERTY RULE_LAUNCH_COMPILE ccache)
        SET_PROPERTY(GLOBAL PROPERTY RULE_LAUNCH_LINK ccache)
    ENDIF ()
ENDIF ()

if(CMAKE_SYSTEM_NAME STREQUAL Android)
    add_definitions(-DANDROID -D__STDC_LIMIT_MACROS)
    set(ANDROID TRUE)
endif()

if("${CMAKE_TOOLCHAIN_FILE}" MATCHES "android.toolchain.cmake$")
    include(${CMAKE_BINARY_DIR}/kf5/kde/install/share/ECM/cmake/ECMConfig.cmake)
endif()

find_package(ECM 1.7.0 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules" ${CMAKE_MODULE_PATH})

if(BUILD_KSTARS_LITE)
    if("${CMAKE_TOOLCHAIN_FILE}" MATCHES "android.toolchain.cmake$")
        set(QT_ANDROID $ENV{QT_ANDROID})
        set(Qt5Core_DIR "${QT_ANDROID}/lib/cmake/Qt5Core")
        set(Qt5Gui_DIR "${QT_ANDROID}/lib/cmake/Qt5Gui")
        set(Qt5Network_DIR "${QT_ANDROID}/lib/cmake/Qt5Network")
        set(Qt5Positioning_DIR "${QT_ANDROID}/lib/cmake/Qt5Positioning")
        set(Qt5Qml_DIR "${QT_ANDROID}/lib/cmake/Qt5Qml")
        set(Qt5Quick_DIR "${QT_ANDROID}/lib/cmake/Qt5Quick")
        set(Qt5Widgets_DIR "${QT_ANDROID}/lib/cmake/Qt5Widgets")
        include(${QT_ANDROID}/lib/cmake/Qt5/Qt5Config.cmake)
        include(${QT_ANDROID}/lib/cmake/Qt5Core/Qt5CoreConfig.cmake)
        include(${QT_ANDROID}/lib/cmake/Qt5Gui/Qt5GuiConfig.cmake)
        include(${QT_ANDROID}/lib/cmake/Qt5Qml/Qt5QmlConfig.cmake)
        include(${QT_ANDROID}/lib/cmake/Qt5Quick/Qt5QuickConfig.cmake)
        include(${QT_ANDROID}/lib/cmake/Qt5QuickControls2/Qt5QuickControls2Config.cmake)
        include(${QT_ANDROID}/lib/cmake/Qt5Xml/Qt5XmlConfig.cmake)
        include(${QT_ANDROID}/lib/cmake/Qt5Svg/Qt5SvgConfig.cmake)
        include(${QT_ANDROID}/lib/cmake/Qt5Sql/Qt5SqlConfig.cmake)
        include(${QT_ANDROID}/lib/cmake/Qt5Network/Qt5NetworkConfig.cmake)
        include(${QT_ANDROID}/lib/cmake/Qt5Positioning/Qt5PositioningConfig.cmake)
        include(${QT_ANDROID}/lib/cmake/Qt5PositioningQuick/Qt5PositioningQuickConfig.cmake)
        include(${QT_ANDROID}/lib/cmake/Qt5Concurrent/Qt5ConcurrentConfig.cmake)
        include(${QT_ANDROID}/lib/cmake/Qt5AndroidExtras/Qt5AndroidExtrasConfig.cmake)
    else()
        if(ANDROID)
            list(APPEND QT_EXTRA_COMPONENTS AndroidExtras)
        else()
            list(APPEND QT_EXTRA_COMPONENTS PrintSupport)
        endif()
        find_package(Qt5 5.7 REQUIRED COMPONENTS Gui Qml Quick QuickControls2 Xml Svg Sql Network Positioning PositioningQuick Concurrent WebSockets ${QT_EXTRA_COMPONENTS})
    endif()
else()
    #find_package(Qt5 5.4 REQUIRED COMPONENTS Gui Qml Quick Xml Sql Svg Network PrintSupport Positioning Concurrent)
    find_package(Qt5 5.4 REQUIRED COMPONENTS Gui Qml Quick Xml Sql Svg Network PrintSupport Concurrent WebSockets)
endif()
include(ExternalProject)
include(ECMInstallIcons)
include(ECMAddAppIcon)
include(KDEInstallDirs)
include(MacroBoolTo01)
include(ECMQtDeclareLoggingCategory)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(FeatureSummary)

# Load the frameworks we need
if(BUILD_KSTARS_LITE)
    if("${CMAKE_TOOLCHAIN_FILE}" MATCHES "android.toolchain.cmake$")
        set(KF5_VERSION 5.28.0)
        set(KF5_HOST_TOOLING /usr/lib/x86_64-linux-gnu/cmake/)
        include(${CMAKE_BINARY_DIR}/kf5/kde/install/lib/cmake/KF5Config/KF5ConfigConfig.cmake)
        include(${CMAKE_BINARY_DIR}/kf5/kde/install/lib/cmake/KF5I18n/KF5I18nConfig.cmake)
        include(${CMAKE_BINARY_DIR}/kf5/kde/install/lib/cmake/KF5Plotting/KF5PlottingConfig.cmake)
    else()
        # Find Optional package NotifyConfig for desktop notifications
        find_package(KF5 COMPONENTS NotifyConfig)
        MACRO_BOOL_TO_01(KF5NotifyConfig_FOUND HAVE_NOTIFYCONFIG)

        find_package(KF5 REQUIRED COMPONENTS Auth Config Crash WidgetsAddons NewStuff I18n KIO XmlGui Plotting Notifications)
    endif()
else(BUILD_KSTARS_LITE)
    # Find Optional package NotifyConfig for desktop notifications
    find_package(KF5 COMPONENTS NotifyConfig)
    MACRO_BOOL_TO_01(KF5NotifyConfig_FOUND HAVE_NOTIFYCONFIG)

    find_package(KF5 REQUIRED COMPONENTS
      Auth
      Config
      Crash
      DocTools
      WidgetsAddons
      NewStuff
      I18n
      KIO
      XmlGui
      Plotting
      Notifications
    )
endif(BUILD_KSTARS_LITE)

## Eigen3 Library
find_package(Eigen3 REQUIRED)
add_definitions(${EIGEN_DEFINITIONS})
include_directories(SYSTEM ${EIGEN3_INCLUDE_DIR})

## CFITSIO Library
if(ANDROID)
    if("${CMAKE_TOOLCHAIN_FILE}" MATCHES "android.toolchain.cmake$")
        set(extra_cmake "-DM_LIB=-lm")
    endif()

    find_program(DOS2UNIX dos2unix)
    if (NOT DOS2UNIX)
        message(FATAL_ERROR "Could not find dos2unix")
    endif()

    externalproject_add(cfitsio SOURCE_DIR "${CMAKE_BINARY_DIR}/packaging/android/3rdparty/cfitsio"
        URL https://heasarc.gsfc.nasa.gov/FTP/software/fitsio/c/cfitsio3370.tar.gz
        PATCH_COMMAND bash -c "cd ${CMAKE_BINARY_DIR}/packaging/android/3rdparty/cfitsio && ${DOS2UNIX} ${CMAKE_BINARY_DIR}/packaging/android/3rdparty/cfitsio/CMakeLists.txt && patch -p1 < ${CMAKE_SOURCE_DIR}/packaging/android/3rdparty/cfitsio.patch"
        CMAKE_ARGS -DCMAKE_TOOLCHAIN_FILE=${CMAKE_TOOLCHAIN_FILE} -DBUILD_SHARED_LIBS=OFF -DCMAKE_BUILD_TYPE=${CMAKE_BUILD_TYPE} ${extra_cmake}
        BUILD_COMMAND make cfitsio
        BUILD_IN_SOURCE 1
        INSTALL_COMMAND "")

    set(CFITSIO_FOUND TRUE)
    set(CFITSIO_INCLUDE_DIR PUBLIC ${CMAKE_BINARY_DIR}/packaging/android/3rdparty/cfitsio)
    set(CFITSIO_LIBRARIES ${CMAKE_BINARY_DIR}/packaging/android/3rdparty/cfitsio/libcfitsio.a)
else()
    if(BUILD_KSTARS_LITE)
        find_package(CFitsio REQUIRED)
    else()
        find_package(CFitsio)
    endif()
endif()
MACRO_BOOL_TO_01(CFITSIO_FOUND HAVE_CFITSIO)
set_package_properties(CFitsio PROPERTIES DESCRIPTION "FITS IO Library" URL "https://heasarc.gsfc.nasa.gov/fitsio/fitsio.html" TYPE OPTIONAL PURPOSE "Support for the FITS (Flexible Image Transport System) data format in KStars.")

## INDI Library
if (ANDROID)
    set(QT_ANDROID $ENV{QT_ANDROID})
    if("${CMAKE_TOOLCHAIN_FILE}" MATCHES "android.toolchain.cmake$")
        set(extra_cmake -DCMAKE_AR=${ANDROID_NDK}/toolchains/llvm/prebuilt/linux-x86_64/bin/llvm-ar)
    endif()
    externalproject_add(indi SOURCE_DIR "${CMAKE_BINARY_DIR}/packaging/android/indi"
        URL https://github.com/indilib/indi/archive/master.zip
        CONFIGURE_COMMAND cmake . -DCMAKE_TOOLCHAIN_FILE=${CMAKE_TOOLCHAIN_FILE} -DCMAKE_BUILD_TYPE=${CMAKE_BUILD_TYPE} \\
             -DINDI_BUILD_POSIX_CLIENT=OFF -DINDI_BUILD_SERVER=OFF -DINDI_BUILD_DRIVERS=OFF -DINDI_BUILD_UNITTESTS=OFF \\
             -DINDI_BUILD_DRIVERS=OFF -DINDI_BUILD_QT5_CLIENT=ON -DINDI_CALCULATE_MINMAX=ON \\
             -DCFITSIO_DIR=${CMAKE_BINARY_DIR}/packaging/android/3rdparty/cfitsio -DQT_ANDROID=${QT_ANDROID} -DCMAKE_PREFIX_PATH=${QT_ANDROID} ${extra_cmake}
        BUILD_COMMAND make
        BUILD_IN_SOURCE 1
        INSTALL_COMMAND "")

    set(INDI_FOUND TRUE)
    set(INDI_INCLUDE_DIR ${CMAKE_BINARY_DIR}/packaging/android/indi/libs/indibase ${CMAKE_BINARY_DIR}/packaging/android/indi ${CMAKE_BINARY_DIR}/packaging/android/indi/libs)
    set(INDI_CLIENT_ANDROID_LIBRARIES ${CMAKE_BINARY_DIR}/packaging/android/indi/libindiclientqt.a)
else ()
    find_package(INDI 1.7.1)
endif ()
MACRO_BOOL_TO_01(INDI_FOUND HAVE_INDI)
set_package_properties(INDI PROPERTIES DESCRIPTION "Astronomical instrumentation control" URL "https://www.indilib.org" TYPE OPTIONAL PURPOSE "Support for controlling astronomical devices on Linux with KStars.")

find_package(Nova)
MACRO_BOOL_TO_01(NOVA_FOUND HAVE_LIBNOVA)
if (NOVA_FOUND)
    include_directories(${NOVA_INCLUDE_DIR})
endif()

## Libraw
if(BUILD_KSTARS_LITE AND ANDROID)
    # OpenMP needed for LibRaw
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fopenmp -DLIBRAW_USE_OPENMP")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fopenmp -DLIBRAW_USE_OPENMP")
    set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -lgomp")

    externalproject_add(raw SOURCE_DIR "${CMAKE_BINARY_DIR}/packaging/android/3rdparty/libraw"
        URL https://www.libraw.org/data/LibRaw-0.17.2.tar.gz
        PATCH_COMMAND bash -c "cd ${CMAKE_BINARY_DIR}/packaging/android/3rdparty/libraw && wget -qO- https://github.com/LibRaw/LibRaw-cmake/archive/master.zip | jar xvf /dev/stdin && rm -rf cmake && mv -f LibRaw-cmake-master/CMakeLists.txt LibRaw-cmake-master/cmake . && patch -p1 < ${CMAKE_SOURCE_DIR}/packaging/android/3rdparty/libraw.patch"
        CMAKE_ARGS -DCMAKE_TOOLCHAIN_FILE=${CMAKE_TOOLCHAIN_FILE} -DBUILD_SHARED_LIBS=OFF -DCMAKE_BUILD_TYPE=${CMAKE_BUILD_TYPE} -DENABLE_OPENMP=OFF -DENABLE_LCMS=OFF
        BUILD_COMMAND make raw
        BUILD_IN_SOURCE 1
        INSTALL_COMMAND "")
    include_directories(${CMAKE_BINARY_DIR}/packaging/android/3rdparty/libraw)
    set(LIBRAW_LIBRARIES ${CMAKE_BINARY_DIR}/packaging/android/3rdparty/libraw/libraw.a)
    set(LibRaw_FOUND true)
else()
    find_package(LibRaw)
endif()
MACRO_BOOL_TO_01(LibRaw_FOUND HAVE_LIBRAW)
set_package_properties(LibRaw PROPERTIES DESCRIPTION "Library for reading RAW files" URL "https://www.libraw.org/" TYPE OPTIONAL PURPOSE "Support for reading and displaying RAW files in KStars.")

## WCS Library
find_package(WCSLIB)
MACRO_BOOL_TO_01(WCSLIB_FOUND HAVE_WCSLIB)
set_package_properties(WCSLIB PROPERTIES DESCRIPTION "World Coordinate System library" URL "https://www.atnf.csiro.au/people/mcalabre/WCS" TYPE OPTIONAL PURPOSE "WCS enables KStars to read and process world coordinate systems in FITS header.")

## XPlanet
find_package(Xplanet)
set_package_properties(Xplanet PROPERTIES DESCRIPTION "Renders an image of all the major planets and most satellites" URL "http://xplanet.sourceforge.net" TYPE RUNTIME PURPOSE "Gives KStars support for xplanet.")

# Qt5 Data Visualization
find_package(Qt5DataVisualization)
MACRO_BOOL_TO_01(Qt5DataVisualization_FOUND HAVE_DATAVISUALIZATION)

## Astrometry.net
find_package(AstrometryNet)
set_package_properties(AstrometryNet PROPERTIES DESCRIPTION "Astrometrics Library" URL "http://www.astrometry.net" TYPE RUNTIME PURPOSE "Support for plate solving in KStars.")

## Key Chain
find_package(Qt5Keychain)
MACRO_BOOL_TO_01(Qt5Keychain_FOUND HAVE_KEYCHAIN)

## OpenGL
find_package(OpenGL)
set_package_properties(OpenGL PROPERTIES DESCRIPTION "Open Graphics Library" URL "https://www.opengl.org/" TYPE OPTIONAL PURPOSE "Support for hardware rendering in KStars.")

if (${KF5_VERSION} VERSION_GREATER 5.17.0)
SET(HAVE_KF5WIT 1)
else()
SET(HAVE_KF5WIT 0)
endif()

=== Tests/CMakeLists.txt ===
include_directories(
    ${kstars_SOURCE_DIR}/kstars/tools
    ${kstars_SOURCE_DIR}/kstars/skyobjects
    ${kstars_SOURCE_DIR}/kstars/skycomponents
    ${kstars_SOURCE_DIR}/kstars/auxiliary
    ${kstars_SOURCE_DIR}/kstars/time
    )

if(WCSLIB_FOUND)
  include_directories( ${WCSLIB_INCLUDE_DIR} )
endif(WCSLIB_FOUND)

FIND_PACKAGE(Qt5Test REQUIRED)

SET( TEST_LIBRARIES
        Qt5::Core
        Qt5::Test
        LibKSDataHandlers
        htmesh
        ${ZLIB_LIBRARIES}
        KStarsLib
)

SET( TEST_KSLITE_LIBRARIES
        Qt5::Core
        Qt5::Test
        LibKSDataHandlers
        htmesh
        ${ZLIB_LIBRARIES}
        KStarsLiteLib
)

add_subdirectory(auxiliary)
add_subdirectory(skyobjects)

IF (CFITSIO_FOUND)
    add_subdirectory(fitsviewer)
IF (INDI_FOUND)
include_directories(
    ${kstars_SOURCE_DIR}/kstars/ekos/align
    ${kstars_SOURCE_DIR}/kstars/internalguide
    ${kstars_SOURCE_DIR}/kstars/focus
    )
add_subdirectory(focus)
add_subdirectory(polaralign)
# FIXME
# Disable this test for Windows since it fails for now
if (NOT WIN32)
add_subdirectory(internalguide)
endif(NOT WIN32)
ENDIF(INDI_FOUND)
ENDIF(CFITSIO_FOUND)

IF (UNIX AND NOT APPLE AND CFITSIO_FOUND)
    IF (BUILD_KSTARS_LITE)
        add_subdirectory(kstars_lite_ui)
    ENDIF ()
    add_subdirectory(kstars_ui)
ENDIF ()

=== kstars/CMakeLists.txt ===
add_subdirectory( data )
add_subdirectory( icons )
add_subdirectory( htmesh )

if (${KF5_VERSION} VERSION_EQUAL 5.18.0 OR ${KF5_VERSION} VERSION_GREATER 5.18.0)
    SET(HAVE_KF5WIT 1)
#    if(NOT BUILD_KSTARS_LITE)
#        add_subdirectory( tools/whatsinteresting/qml)
#    endif(NOT BUILD_KSTARS_LITE)
else()
    SET(HAVE_KF5WIT 0)
endif()

if (ANDROID AND CMAKE_TOOLCHAIN_FILE)
    include(${CMAKE_TOOLCHAIN_FILE})
endif ()

if (NOT ANDROID)
    find_package(ZLIB REQUIRED)
    find_package(Threads REQUIRED)
endif ()

if(MSVC)
    add_definitions(-D_USE_MATH_DEFINES=1)
    add_definitions(-DNOMINMAX)
endif()

include_directories(
    ${kstars_SOURCE_DIR}/kstars
    ${kstars_SOURCE_DIR}/kstars/skyobjects
    ${kstars_SOURCE_DIR}/kstars/skycomponents
    ${kstars_SOURCE_DIR}/kstars/auxiliary
    ${kstars_SOURCE_DIR}/kstars/time
    ${kstars_SOURCE_DIR}/kstars/tools
)

if (INDI_FOUND)
    if(BUILD_KSTARS_LITE)
            set (fits_klite_SRCS
                fitsviewer/fitsdata.cpp
                )
            set (fits2_klite_SRCS
                fitsviewer/bayer.c
                fitsviewer/fpack.c
                fitsviewer/fpackutil.c
                )
                include_directories(${CFITSIO_INCLUDE_DIR})
                include_directories(${NOVA_INCLUDE_DIR})

            set (indi_klite_SRCS
                indi/clientmanagerlite.cpp
                indi/inditelescopelite.cpp
                kstarslite/skyitems/skynodes/crosshairnode.cpp
                kstarslite/skyitems/telescopesymbolsitem.cpp
            )
    endif ()

    set(indiui_SRCS
        indi/streamform.ui
        indi/drivermanager.ui
        indi/opsindi.ui
        indi/indihostconf.ui
        indi/customdrivers.ui
        #indi/telescopewizard.ui
    )

    set(indi_SRCS
        indi/drivermanager.cpp
        indi/servermanager.cpp
        indi/clientmanager.cpp
        indi/blobmanager.cpp
        indi/guimanager.cpp
        indi/driverinfo.cpp
        indi/deviceinfo.cpp
        indi/indidevice.cpp
        indi/indigroup.cpp
        indi/indiproperty.cpp
        indi/indielement.cpp
        indi/indistd.cpp
        indi/indilistener.cpp
        indi/inditelescope.cpp
        indi/indiccd.cpp
        indi/wsmedia.cpp
        indi/indifocuser.cpp
        indi/indifilter.cpp
        indi/indidome.cpp
        indi/indiweather.cpp
        indi/indicap.cpp
        indi/indilightbox.cpp
        indi/indidbus.cpp
        indi/opsindi.cpp
        #indi/telescopewizardprocess.cpp
        indi/streamwg.cpp
        indi/videowg.cpp
        indi/indiwebmanager.cpp
        indi/customdrivers.cpp
    )

    if (CFITSIO_FOUND)
        set(ekosui_SRCS
            ekos/opsekos.ui
            ekos/manager.ui
            ekos/profileeditor.ui
            ekos/profilewizard.ui
            # Scheduler
            ekos/scheduler/scheduler.ui
            ekos/scheduler/mosaic.ui
            # Capture
            ekos/capture/capture.ui
            ekos/capture/calibrationoptions.ui
            ekos/capture/dslrinfo.ui
            ekos/capture/rotatorsettings.ui
            ekos/capture/customproperties.ui
            # Align
            ekos/align/align.ui
            ekos/align/opsastrometry.ui
            ekos/align/opsalign.ui
            ekos/align/opsastrometrycfg.ui
            ekos/align/opsastrometryindexfiles.ui
            ekos/align/mountmodel.ui
            ekos/align/opsastap.ui
            # Focus
            ekos/focus/focus.ui
            # Mount
            ekos/mount/mount.ui
            # Guide
            ekos/guide/guide.ui
            ekos/guide/opscalibration.ui
            ekos/guide/opsguide.ui
            ekos/guide/opsgpg.ui
            ekos/guide/manualdither.ui
            ekos/observatory/observatory.ui
            #TODO remove from GIT
            #ekos/guide/guider.ui
            #ekos/guide/rcalibration.ui
            # Auxiliary
            ekos/auxiliary/filtersettings.ui
            ekos/auxiliary/opslogs.ui
            ekos/auxiliary/serialportassistant.ui
            # Ekos Live
            ekos/ekoslive/ekoslivedialog.ui
            # INDI Hub
            ekos/indihub.ui
        )

        set(ekos_SRCS
            ekos/ekos.cpp
            ekos/manager.cpp
            ekos/profileeditor.cpp
            ekos/profilewizard.cpp
            ekos/qMDNS.cpp
            ekos/opsekos.cpp

            # Auxiliary
            ekos/auxiliary/dome.cpp
            ekos/auxiliary/weather.cpp
            ekos/auxiliary/dustcap.cpp
            ekos/auxiliary/darklibrary.cpp
            ekos/auxiliary/filtermanager.cpp
            ekos/auxiliary/filterdelegate.cpp
            ekos/auxiliary/opslogs.cpp
            ekos/auxiliary/serialportassistant.cpp

            # Capture
            ekos/capture/capture.cpp
            ekos/capture/sequencejob.cpp
            ekos/capture/dslrinfodialog.cpp
            ekos/capture/rotatorsettings.cpp
            ekos/capture/customproperties.cpp

            # Scheduler
            ekos/scheduler/schedulerjob.cpp
            ekos/scheduler/scheduler.cpp
            ekos/scheduler/mosaic.cpp

            # Focus
            ekos/focus/focus.cpp
            ekos/focus/focusalgorithms.cpp
            ekos/focus/polynomialfit.cpp

            # Mount
            ekos/mount/mount.cpp

            # Align
            ekos/align/align.cpp
            ekos/align/alignview.cpp
            ekos/align/astrometryparser.cpp
            ekos/align/opsastrometry.cpp
            ekos/align/opsalign.cpp
            ekos/align/opsastrometrycfg.cpp
            ekos/align/opsastrometryindexfiles.cpp
            ekos/align/opsastap.cpp
            ekos/align/offlineastrometryparser.cpp
            ekos/align/onlineastrometryparser.cpp
            ekos/align/remoteastrometryparser.cpp
            ekos/align/astapastrometryparser.cpp
            ekos/align/polaralign.cpp

            # Guide
            ekos/guide/guide.cpp
            ekos/guide/guideinterface.cpp
            ekos/guide/opscalibration.cpp
            ekos/guide/opsguide.cpp
            ekos/guide/opsgpg.cpp
            # Internal Guide
            ekos/guide/internalguide/gmath.cpp
            ekos/guide/internalguide/internalguider.cpp
            #ekos/guide/internalguide/guider.cpp
            ekos/guide/internalguide/matr.cpp
            #ekos/guide/internalguide/rcalibration.cpp
            ekos/guide/internalguide/vect.cpp
            ekos/guide/internalguide/imageautoguiding.cpp
            ekos/guide/internalguide/guidelog.cpp
            ekos/guide/internalguide/starcorrespondence.cpp
            ekos/guide/internalguide/gpg.cpp
            ekos/guide/internalguide/calibration.cpp
            ekos/guide/internalguide/guidestars.cpp
            ekos/guide/guideview.cpp
            # External Guide
            ekos/guide/externalguide/phd2.cpp
            ekos/guide/externalguide/linguider.cpp

            #Observatory
            ekos/observatory/observatory.cpp
            ekos/observatory/observatorymodel.cpp
            ekos/observatory/observatorydomemodel.cpp
            ekos/observatory/observatoryweathermodel.cpp

            # Ekos Live
            ekos/ekoslive/ekosliveclient.cpp
            ekos/ekoslive/message.cpp
            ekos/ekoslive/media.cpp
            ekos/ekoslive/cloud.cpp
        )

    endif(CFITSIO_FOUND)

    include_directories(${INDI_INCLUDE_DIR})
endif (INDI_FOUND)

if (CFITSIO_FOUND)
  set (gpg_SRCS
        ekos/guide/internalguide/MPI_IS_gaussian_process/src/math_tools.cpp
        ekos/guide/internalguide/MPI_IS_gaussian_process/src/covariance_functions.cpp
        ekos/guide/internalguide/MPI_IS_gaussian_process/src/gaussian_process.cpp
        ekos/guide/internalguide/MPI_IS_gaussian_process/src/gaussian_process_guider.cpp
        )
    set (sep_SRCS
        fitsviewer/sep/analyse.c
        fitsviewer/sep/aperture.c
        fitsviewer/sep/background.c
        fitsviewer/sep/convolve.c
        fitsviewer/sep/deblend.c
        fitsviewer/sep/extract.c
        fitsviewer/sep/lutz.c
        fitsviewer/sep/util.c
        )

    set (hough_SRCS
        fitsviewer/hough/houghline.cpp
        )

    set (fits_SRCS
        fitsviewer/fitslabel.cpp
        fitsviewer/fitsviewer.cpp
        fitsviewer/stretch.cpp
        fitsviewer/fitstab.cpp
        fitsviewer/fitsdebayer.cpp
        fitsviewer/opsfits.cpp
        )

    if (Qt5DataVisualization_FOUND)
        set(fits_SRCS ${fits_SRCS} fitsviewer/starprofileviewer.cpp)
    endif()

    set (fits2_SRCS
        fitsviewer/bayer.c
        fitsviewer/fpack.c
        fitsviewer/fpackutil.c
        fitsviewer/fitshistogram.cpp
        fitsviewer/fitsview.cpp
        fitsviewer/fitsdata.cpp
        fitsviewer/fitsstardetector.cpp
        fitsviewer/fitsthresholddetector.cpp
        fitsviewer/fitsgradientdetector.cpp
        fitsviewer/fitscentroiddetector.cpp
        fitsviewer/fitssepdetector.cpp
        fitsviewer/fitsbahtinovdetector.cpp
        fitsviewer/fitsskyobject.cpp
        )
    set (fitsui_SRCS
        fitsviewer/fitsheaderdialog.ui
        fitsviewer/statform.ui
        fitsviewer/fitsdebayer.ui
        indi/streamform.ui
        indi/recordingoptions.ui
        fitsviewer/fitshistogramui.ui
        fitsviewer/opsfits.ui
        )
    include_directories(${CFITSIO_INCLUDE_DIR})

endif(CFITSIO_FOUND)

IF (CFITSIO_FOUND)
    IF (("${CMAKE_CXX_COMPILER_ID}" STREQUAL "AppleClang" OR "${CMAKE_CXX_COMPILER_ID}" STREQUAL "Clang"))
        IF (SANITIZERS)
            SET_SOURCE_FILES_PROPERTIES(fitsviewer/bayer.c PROPERTIES COMPILE_FLAGS "-Wno-cast-align -fno-sanitize=address,undefined -fomit-frame-pointer")
            SET_SOURCE_FILES_PROPERTIES(fitsviewer/fitsdata.cpp PROPERTIES COMPILE_FLAGS "-fno-sanitize=address,undefined -fomit-frame-pointer")
            SET_SOURCE_FILES_PROPERTIES(fitsviewer/fitshistogram.cpp PROPERTIES COMPILE_FLAGS "-fno-sanitize=address,undefined -fomit-frame-pointer")
            SET_SOURCE_FILES_PROPERTIES(fitsviewer/fitsview.cpp PROPERTIES COMPILE_FLAGS "-fno-sanitize=address,undefined -fomit-frame-pointer")
            SET_SOURCE_FILES_PROPERTIES(fitsviewer/hough/houghline.cpp PROPERTIES COMPILE_FLAGS "-fno-sanitize=address,undefined -fomit-frame-pointer")
        ELSE ()
            SET_SOURCE_FILES_PROPERTIES(fitsviewer/bayer.c PROPERTIES COMPILE_FLAGS "-Wno-cast-align")
        ENDIF ()
        SET_SOURCE_FILES_PROPERTIES(fitsviewer/sep/analyse.c PROPERTIES COMPILE_FLAGS "-Wno-cast-align")
        SET_SOURCE_FILES_PROPERTIES(fitsviewer/sep/aperture.c PROPERTIES COMPILE_FLAGS "-Wno-cast-align -Wno-pointer-arith")
        SET_SOURCE_FILES_PROPERTIES(fitsviewer/sep/background.c PROPERTIES COMPILE_FLAGS "-Wno-cast-align")
        SET_SOURCE_FILES_PROPERTIES(fitsviewer/sep/deblend.c PROPERTIES COMPILE_FLAGS "-Wno-cast-align -Wno-incompatible-pointer-types-discards-qualifiers")
        SET_SOURCE_FILES_PROPERTIES(fitsviewer/sep/extract.c PROPERTIES COMPILE_FLAGS "-Wno-cast-align")
        SET_SOURCE_FILES_PROPERTIES(fitsviewer/sep/lutz.c PROPERTIES COMPILE_FLAGS "-Wno-cast-align")
        SET_SOURCE_FILES_PROPERTIES(fitsviewer/sep/util.c PROPERTIES COMPILE_FLAGS "-Wno-incompatible-pointer-types-discards-qualifiers")
        SET_SOURCE_FILES_PROPERTIES(fitsviewer/fpack.c PROPERTIES COMPILE_FLAGS "-Wno-error")
        SET_SOURCE_FILES_PROPERTIES(fitsviewer/fpackutil.c PROPERTIES COMPILE_FLAGS "-Wno-error")
    ELSEIF (NOT WIN32)
        SET_SOURCE_FILES_PROPERTIES(fitsviewer/fpack.c PROPERTIES COMPILE_FLAGS "-Wno-error")
        SET_SOURCE_FILES_PROPERTIES(fitsviewer/fpackutil.c PROPERTIES COMPILE_FLAGS "-Wno-error")
        SET_SOURCE_FILES_PROPERTIES(fitsviewer/sep/aperture.c PROPERTIES COMPILE_FLAGS "-Wno-pointer-arith")
        SET_SOURCE_FILES_PROPERTIES(fitsviewer/sep/deblend.c PROPERTIES COMPILE_FLAGS "-Wno-discarded-qualifiers")
        SET_SOURCE_FILES_PROPERTIES(fitsviewer/sep/util.c PROPERTIES COMPILE_FLAGS "-Wno-discarded-qualifiers")
    ENDIF ()
ENDIF ()

if(WCSLIB_FOUND)

=== Tests/fitsviewer/CMakeLists.txt ===

ADD_EXECUTABLE( testfitsdata testfitsdata.cpp )
TARGET_LINK_LIBRARIES( testfitsdata ${TEST_LIBRARIES})
ADD_TEST( NAME FitsDataTest COMMAND testfitsdata )
ADD_CUSTOM_COMMAND( TARGET testfitsdata POST_BUILD
    COMMAND ${CMAKE_COMMAND} -E copy
            ${CMAKE_CURRENT_SOURCE_DIR}/m47_sim_stars.fits
            ${CMAKE_CURRENT_BINARY_DIR}/m47_sim_stars.fits)
ADD_CUSTOM_COMMAND( TARGET testfitsdata POST_BUILD
    COMMAND ${CMAKE_COMMAND} -E copy
            ${CMAKE_CURRENT_SOURCE_DIR}/ngc4535-autofocus1.fits
            ${CMAKE_CURRENT_BINARY_DIR}/ngc4535-autofocus1.fits)
ADD_CUSTOM_COMMAND( TARGET testfitsdata POST_BUILD
    COMMAND ${CMAKE_COMMAND} -E copy
            ${CMAKE_CURRENT_SOURCE_DIR}/ngc4535-autofocus2.fits
            ${CMAKE_CURRENT_BINARY_DIR}/ngc4535-autofocus2.fits)
ADD_CUSTOM_COMMAND( TARGET testfitsdata POST_BUILD
    COMMAND ${CMAKE_COMMAND} -E copy
            ${CMAKE_CURRENT_SOURCE_DIR}/ngc4535-autofocus3.fits
            ${CMAKE_CURRENT_BINARY_DIR}/ngc4535-autofocus3.fits)
ADD_CUSTOM_COMMAND( TARGET testfitsdata POST_BUILD
    COMMAND ${CMAKE_COMMAND} -E copy
            ${CMAKE_CURRENT_SOURCE_DIR}/bahtinov-focus.fits
            ${CMAKE_CURRENT_BINARY_DIR}/bahtinov-focus.fits)

=== Tests/focus/CMakeLists.txt ===
SET( FocusTests_SRCS testfocus.cpp  )

ADD_EXECUTABLE( testfocus testfocus.cpp )
TARGET_LINK_LIBRARIES( testfocus ${TEST_LIBRARIES})
ADD_TEST( NAME FocusTest COMMAND testfocus )

=== Tests/polaralign/CMakeLists.txt ===
ADD_EXECUTABLE( test_polaralign test_polaralign.cpp )
TARGET_LINK_LIBRARIES( test_polaralign ${TEST_LIBRARIES})
ADD_TEST( NAME TestPolarAlign COMMAND test_polaralign )

=== kstars/data/CMakeLists.txt ===
########### install files ###############

install(FILES
    kstars.png
    geomap.png
    citydb.sqlite
    skycultures/skycultures.sqlite
    stars.dat
    starnames.dat namedstars.dat unnamedstars.dat
    Henry-Draper.idx
    starlnum.idx
    ngcic.dat
    clines.dat
    cnames.dat
    milkyway.dat
    lmc.dat
    smc.dat
    cbounds.dat
    cbounds-3.idx  cbounds-4.idx  cbounds-5.idx  cbounds-6.idx
    image_url.dat info_url.dat
    moonB.dat moonLR.dat
    mercury.orbit venus.orbit earth.orbit mars.orbit jupiter.orbit
    saturn.orbit uranus.orbit neptune.orbit pluto.orbit
    asteroids.dat comets.dat wzserialportassistant.png
    wzstars.png wzgeo.png wzscope.png wzdownload.png wzekos.png ekoslive.png
    chart.colors classic.colors moonless-night.colors night.colors
    tips TZrules.dat Interesting.dat PlanetFacts.dat indidrivers.xml
    advinterface.dat catalog.min.json satellites.dat glossary.xml defaultflag.gif
    DESTINATION ${KDE_INSTALL_DATADIR}/kstars
)

file(GLOB vsop87_files vsop87/*)
install( FILES ${vsop87_files} DESTINATION ${KDE_INSTALL_DATADIR}/kstars)

# N.B. On Windows & Mac, the sound files do not exist at all.
# On Linux, it will overwrite the Oxygen-* files.
file(GLOB sound_files sounds/*)
install( FILES ${sound_files} DESTINATION ${KDE_INSTALL_DATADIR}/sounds )

file(GLOB scheme_files themes/*)
install( FILES ${scheme_files} DESTINATION ${KDE_INSTALL_DATADIR}/kstars/themes )

install(FILES
    textures/star.png
    textures/galaxy.png
    textures/open-cluster.png
    textures/globular-cluster.png
    textures/galaxy-cluster.png
    textures/gaseous-nebula.png
    textures/planetary-nebula.png
    textures/obslistsymbol.png
    textures/sun.png
    textures/mercury.png
    textures/venus.png
    textures/mars.png
    textures/jupiter.png
    textures/saturn.png
    textures/uranus.png
    textures/neptune.png
    textures/pluto.png
    textures/moon00.png
    textures/moon01.png
    textures/moon02.png
    textures/moon03.png
    textures/moon04.png
    textures/moon05.png
    textures/moon06.png
    textures/moon07.png
    textures/moon08.png
    textures/moon09.png
    textures/moon10.png
    textures/moon11.png
    textures/moon12.png
    textures/moon13.png
    textures/moon14.png
    textures/moon15.png
    textures/moon16.png
    textures/moon17.png
    textures/moon18.png
    textures/moon19.png
    textures/moon20.png
    textures/moon21.png
    textures/moon22.png
    textures/moon23.png
    textures/moon24.png
    textures/moon25.png
    textures/moon26.png
    textures/moon27.png
    textures/moon28.png
    textures/moon29.png
    textures/moon30.png
    textures/moon31.png
    textures/moon32.png
    textures/moon33.png
    textures/moon34.png
    textures/moon35.png
    textures/defaultflag.png
    DESTINATION ${KDE_INSTALL_DATADIR}/kstars/textures
)

#install(FILES
#    scripts/supernova_updates_parser.py
#    DESTINATION ${KDE_INSTALL_DATADIR}/kstars/scripts
#)

install(FILES
    skycultures/western/andromeda.png
    skycultures/western/antlia.png
    skycultures/western/apus.png
    skycultures/western/aquarius.png
    skycultures/western/aquila.png
    skycultures/western/ara.png
    skycultures/western/argonavis.png
    skycultures/western/aries.png
    skycultures/western/auriga.png
    skycultures/western/bootes.png
    skycultures/western/caelum.png
    skycultures/western/camelopardalis.png
    skycultures/western/cancer.png
    skycultures/western/canes-venatici.png
    skycultures/western/canis-major.png
    skycultures/western/canis-minor.png
    skycultures/western/capricornus.png
    skycultures/western/cassiopeia.png
    skycultures/western/centaurus.png
    skycultures/western/cepheus.png
    skycultures/western/cetus.png
    skycultures/western/chamaeleon.png
    skycultures/western/circinus.png
    skycultures/western/columba.png
    skycultures/western/coma-berenices.png
    skycultures/western/corona-australis.png
    skycultures/western/corona-borealis.png
    skycultures/western/corvus.png
    skycultures/western/crater.png
    skycultures/western/crux.png
    skycultures/western/cygnus.png
    skycultures/western/delphinus.png
    skycultures/western/dorado.png
    skycultures/western/draco.png
    skycultures/western/equuleus.png
    skycultures/western/eridanus.png
    skycultures/western/fornax.png
    skycultures/western/gemini.png
    skycultures/western/grus.png
    skycultures/western/hercules.png
    skycultures/western/horlogium.png
    skycultures/western/hydra.png
    skycultures/western/hydrus.png
    skycultures/western/indus.png
    skycultures/western/lacerta.png
    skycultures/western/leo-minor.png
    skycultures/western/leo.png
    skycultures/western/lepus.png
    skycultures/western/libra.png
    skycultures/western/lupus.png
    skycultures/western/lynx.png
    skycultures/western/lyra.png
    skycultures/western/mensa.png
    skycultures/western/microscopium.png
    skycultures/western/monoceros.png
    skycultures/western/musca.png
    skycultures/western/norma.png
    skycultures/western/octans.png
    skycultures/western/ophiuchus.png
    skycultures/western/orion.png
    skycultures/western/pavo.png
    skycultures/western/pegasus.png
    skycultures/western/perseus.png
    skycultures/western/phoenix.png
    skycultures/western/pictor.png
    skycultures/western/pisces.png
    skycultures/western/piscis-austrinus.png
    skycultures/western/pyxis.png
    skycultures/western/reticulum.png
    skycultures/western/sagitta.png
    skycultures/western/sagittarius.png
    skycultures/western/scorpius.png
    skycultures/western/sculptor.png
    skycultures/western/scutum.png
    skycultures/western/sextans.png
    skycultures/western/taurus.png
    skycultures/western/telescopium.png
    skycultures/western/triangulum-australe.png
    skycultures/western/triangulum.png
    skycultures/western/tucana.png
    skycultures/western/ursa-major.png
    skycultures/western/ursa-minor.png
    skycultures/western/virgo.png
    skycultures/western/volans.png
    skycultures/western/vulpecula.png
    DESTINATION ${KDE_INSTALL_DATADIR}/kstars/skycultures/western
)

install(FILES
    skycultures/inuit/blubber-container.png
    skycultures/inuit/breastbone.png
    skycultures/inuit/caribou.png
    skycultures/inuit/collarbones.png
    skycultures/inuit/dogs.png
    skycultures/inuit/lamp-stand.png
    skycultures/inuit/runners.png
    skycultures/inuit/the-one-behind.png
    skycultures/inuit/two-in-front.png
    skycultures/inuit/two-placed-far-apart.png
    skycultures/inuit/two-sunbeams.png
    DESTINATION ${KDE_INSTALL_DATADIR}/kstars/skycultures/inuit
)

=== kstars/htmesh/CMakeLists.txt ===

INCLUDE(CheckFunctionExists)
check_function_exists(drand48 HAVE_DRAND48)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config-htmesh.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-htmesh.h )

### HTMesh library
SET(HTMesh_LIB_SRC
    ${kstars_SOURCE_DIR}/kstars/htmesh/MeshIterator.cpp
    ${kstars_SOURCE_DIR}/kstars/htmesh/HtmRange.cpp
    ${kstars_SOURCE_DIR}/kstars/htmesh/HtmRangeIterator.cpp
    ${kstars_SOURCE_DIR}/kstars/htmesh/RangeConvex.cpp
    ${kstars_SOURCE_DIR}/kstars/htmesh/SkipList.cpp
    ${kstars_SOURCE_DIR}/kstars/htmesh/SkipListElement.cpp
    ${kstars_SOURCE_DIR}/kstars/htmesh/SpatialConstraint.cpp
#    ${kstars_SOURCE_DIR}/kstars/htmesh/SpatialDomain.cpp
    ${kstars_SOURCE_DIR}/kstars/htmesh/SpatialEdge.cpp
    ${kstars_SOURCE_DIR}/kstars/htmesh/SpatialException.cpp
    ${kstars_SOURCE_DIR}/kstars/htmesh/SpatialIndex.cpp
    ${kstars_SOURCE_DIR}/kstars/htmesh/SpatialVector.cpp
    ${kstars_SOURCE_DIR}/kstars/htmesh/HTMesh.cpp
    ${kstars_SOURCE_DIR}/kstars/htmesh/MeshBuffer.cpp)

IF (UNITY_BUILD)
    ENABLE_UNITY_BUILD(HTMesh HTMesh_LIB_SRC 10 cpp)
ENDIF ()

SET(HTMesh_LIB_SRC ${HTMesh_LIB_SRC}
    ${kstars_SOURCE_DIR}/kstars/htmesh/cc_aux.c)

IF (ANDROID)
    SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fPIC")
ENDIF ()

add_library(htmesh STATIC ${HTMesh_LIB_SRC})

add_definitions(-D_EXPORTING)

set_target_properties(htmesh PROPERTIES
    VERSION 1.0.0
    SOVERSION 1)

if (NOT ANDROID)
    install(TARGETS htmesh ${KDE_INSTALL_TARGETS_DEFAULT_ARGS} )
endif ()

# If you wish to compile the HTMesh perl wrapper, uncomment this, rebuild and copy the library into /usr/lib/, because we will use it as a shared object. See README in the perl wrapper directory (kstars/kstars/data/tools/HTMesh-*) for more details.
#set_property(TARGET htmesh PROPERTY POSITION_INDEPENDENT_CODE YES)

=== debian/changelog ===
kstars (5:3.4.3-1) unstable; urgency=medium

  * New upstream release.
  * Add Rules-Requires-Root: no.
  * Bump the libindi-dev build dependency to 1.8.5, so the new indi is used.
  * Backport upstream commit f0bfcdf13737cb2dc3401475c68d6afea6bbd055 to avoid
    a non const strings as format string; patch
    upstream_tests-do-not-pass-a-literal-string-as-format-string.patch.

 -- Pino Toscano <pino@debian.org>  Mon, 20 Jul 2020 08:15:26 +0200

kstars (5:3.4.2-2) unstable; urgency=medium

  * Skip one check in the TestFitsData test that fails on i386 architectures;
    patch skip-fitsdata-test-i386.diff.

 -- Pino Toscano <pino@debian.org>  Sun, 10 May 2020 07:12:02 +0200

kstars (5:3.4.2-1) unstable; urgency=medium

  * New upstream release.
  * Add the libqt5sql5-sqlite build dependency, needed to make one unit test
    work.
  * Create a temporary home directory when running dh_auto_test, as some test
    wants to simulate writing to the user directory.

 -- Pino Toscano <pino@debian.org>  Sun, 26 Apr 2020 11:32:15 +0200

=== debian/control ===
Source: kstars
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Pino Toscano <pino@debian.org>, Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.4.0~),
               debhelper-compat (= 12),
               extra-cmake-modules (>= 1.7.0~),
               gettext,
               kinit-dev,
               libcfitsio-dev (>= 3.040),
               libeigen3-dev (>> 2.0.3),
               libglu1-mesa-dev [!armhf],
               libgsl-dev,
               libindi-dev (>= 1.8.5~),
               libkf5auth-dev (>= 5.42.0-1~),
               libkf5config-dev,
               libkf5crash-dev,
               libkf5dbusaddons-dev,
               libkf5doctools-dev,
               libkf5guiaddons-dev,
               libkf5i18n-dev,
               libkf5iconthemes-dev,
               libkf5jobwidgets-dev,
               libkf5kio-dev,
               libkf5newstuff-dev,
               libkf5notifications-dev,
               libkf5notifyconfig-dev,
               libkf5plotting-dev,
               libkf5texteditor-dev,
               libkf5widgetsaddons-dev,
               libkf5windowsystem-dev,
               libkf5xmlgui-dev,
               libnova-dev,
               libqt5opengl5-dev (>= 5.4),
               libqt5sql5-sqlite,
               libqt5svg5-dev (>= 5.4),
               libqt5websockets5-dev (>= 5.4),
               libraw-dev,
               libsecret-1-dev,
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qt5keychain-dev,
               qtbase5-dev (>= 5.4),
               qtdeclarative5-dev (>= 5.4),
               qtmultimedia5-dev (>= 5.4),
               wcslib-dev,
               zlib1g-dev
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://edu.kde.org/kstars/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/kstars
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/kstars.git

Package: kstars
Architecture: any
Section: science
Depends: kstars-data (= ${source:Version}),
         libqt5sql5-sqlite,
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: khelpcenter, konqueror
Recommends: astrometry.net, indi-bin, xplanet
Description: desktop planetarium, observation planning and telescope control
 KStars is a scientifically accurate desktop planetarium, visualising a
 graphical simulation of the night sky from any location on Earth, at any date
 and time.
 The display includes 130,000 stars, 13,000 deep-sky objects, all 8 planets,
 the Sun and Moon, and thousands of comets and asteroids. KStars addresses
 students and amateur astronomers of all levels.
 .
 The database of known objects can be extended and updated from local or
 remote databases, which is prepared for in a user-extendable interface.
 KStars suggests observations of particular interest like conjunctions
 with respect to the location of the user. And for user-selected targets it
 proposes the ones that are best-observable.
 .
 The software may be used for planning experiments around the globe,
 e.g. for remote controlled commercial services. But KStars also
 features an INDI interface to control local telescopes and cameras.
 Users with programming experience can script it via the KDE desktop bus.

Package: kstars-data
Architecture: all
Section: science
Depends: qml-module-qtquick-controls,
         qml-module-qtquick-layouts,
         qml-module-qtquick2,
         ${misc:Depends}
Breaks: kstars (<= 4:17.08.3~), ${kde-l10n:all}
Replaces: kstars (<= 4:17.08.3~), ${kde-l10n:all}
Description: data files for KStars desktop planetarium
 This package contains architecture-independent data files for KStars,
 the graphical desktop planetarium for KDE, including star catalogues and
 astronomical images.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

l10npkgs_firstversion_ok := 4:16.04.3-7~
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

%:
	dh $@ --with kf5

override_dh_auto_install:
	dh_auto_install
	# remove development stuff
	find debian/tmp -name '*.a' -delete

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	$(eval TESTS_HOME := $(shell mktemp -d --tmpdir kstars-home.XXXXXX))
	mkdir -p "$(TESTS_HOME)/tmp"
	env HOME="$(TESTS_HOME)" TMPDIR="$(TESTS_HOME)/tmp" dh_auto_test
	rm -rfv "$(TESTS_HOME)"
endif

override_dh_missing:
	dh_missing --fail-missing

override_dh_gencontrol-indep: l10npkgs_firstversion_ok
	dh_gencontrol -i
